%global momorel 1
%global qtver 3.3.7
%global qtrel 1m
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_final 1
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 c809c15eb8c09a7eb2d070395202910b

Name: kdesdk
Summary: The KDE Software Development Kit (SDK)
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPL
URL: http://www.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-3.5.7-flex.patch

# upstream patch
# no patch to be applied

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: kbabel ktranslator kless
Requires: qt >= %{qtver}-%{qtrel}
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdepim >= %{kdever}-1m
BuildPreReq: apr-devel >= 1.2.6
BuildPreReq: apr-util-devel >= 1.2.6
BuildPreReq: db4-devel >= 4.5.20-3m
BuildPreReq: flex
BuildPreReq: libpng-devel >= 1.2.0
BuildPreReq: neon-devel
BuildPreReq: perl
BuildPreReq: rpm >= 4.0.4-6k
BuildPreReq: subversion-devel >= 1.4.2

%description
A collection of applications and tools used by KDE developers.
This package is including

  cervisia: CVS client part
  kbabel: an editor for *.po files
  kbugbuster: a graphical frontend for the KDE bug reporting system
  kcachegrind: optimize your applications beautifully using cachegrind
  kompare: a program to view the differences between files
  umbrello: a UML modelling tool for KDE

etc.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (headers) for %{name}

%prep
%setup -q

%patch0 -p1 -b .flex

# upstream patch
# no patch to be applied

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

FLAGS="$(echo %{optflags} | sed 's|\-fomit\-frame\-pointer||') -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-apr-config=%{_bindir}/apr-1-config \
	--with-apu-config=%{_bindir}/apu-1-config \
	--with-svn-include=%{_includedir}/subversion-1 \
	--with-svn-lib=%{_libdir} \
	--with-xinerama \
	--enable-shared \
	--enable-static \
	--disable-debug \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# Don't install kdepalettes/KDE_Gimp since this causes annoying dependencies on gimp. Moreover kdepalettes was for KDE-1.x color scheme and it has been never updated for 7(!) years. (see http://webcvs.kde.org/kdesdk/kdepalettes/KDE_Gimp)
#
## Install stuff that doesn't get installed by make install
# mkdir -p %{buildroot}%{_datadir}/gimp/2.0/palettes
# install -c -m 644 kdepalettes/KDE_Gimp %{buildroot}%{_datadir}/gimp/2.0/palettes

# make symlinks relative
(
  mkdir -p %{buildroot}%{_docdir}/HTML/en/common
  cd %{buildroot}%{_docdir}/HTML/en
  for i in *; do
    if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
    fi
  done
)

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/*
%{_libdir}/kde3/plugins/styles/scheck.*
%{_libdir}/kde3/*.a
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/catalogmanager
%{_datadir}/apps/cervisia
%{_datadir}/apps/cervisiapart
%{_datadir}/apps/kabc/formats/*.desktop
%{_datadir}/apps/kapptemplate
%{_datadir}/apps/katepart/syntax/kdesvn-buildrc.xml
%{_datadir}/apps/kbabel
%{_datadir}/apps/kbugbuster
%{_datadir}/apps/kcachegrind
%{_datadir}/apps/kconf_update/* 
%{_datadir}/apps/kmtrace
%{_datadir}/apps/kompare
# depend on svn-config
# %%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/kstyle/themes/*.themerc
%{_datadir}/apps/kuiviewer
%{_datadir}/apps/kuiviewerpart
%{_datadir}/apps/umbrello
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/cervisia
%{_datadir}/doc/HTML/en/kbabel
%{_datadir}/doc/HTML/en/kbugbuster
%{_datadir}/doc/HTML/en/kcachegrind
%{_datadir}/doc/HTML/en/kdesvn-build
%{_datadir}/doc/HTML/en/kompare
%{_datadir}/doc/HTML/en/umbrello
# %%{_datadir}/gimp/2.0/palettes/KDE_Gimp
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/man/man1/*
%{_datadir}/mimelnk/application/*.desktop
# depend on svn-config
# %%{_datadir}/services/kded/ksvnd.desktop
%{_datadir}/services/kresources/kcal/bugzilla.desktop
%{_datadir}/services/*.desktop
# depend on svn-config
# %%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/*.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/kbabel
%{_includedir}/kunittest/runnergui.h
%{_includedir}/*.h

%changelog
* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to KDE 3.5.8

* Wed Jun 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-2m)
- import kdesdk-3.5.7-flex.patch from Fedora

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.6-2m)
- rebuild against kdelibs etc.

* Tue Jan 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to KDE 3.5.6
- delete unused upstream patches

* Fri Dec 22 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-4m)
- import upstream patch to fix following problem
  #138965, Changing attributename or methodname results in truncating list in edit window (parameters not shown)

* Wed Dec 20 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-3m)
- import upstream patches to fix following problems
  #135795, Subversion 1.4 support for catalog manager.
  #57878, Association line nodes don't drag along with multiply-selected classes

* Sun Nov 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.5-2m)
- rebuild against db4-4.5.20-1m and subversion-1.4.2-1m
- disable svn support for the moment
  subversion-1.4.2 doesn't have svn-config

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5
- remove merged upstream patch

* Wed Sep 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-5m)
- import kdesdk-3.5.4-kde#131717.patch from Fedora Core devel
 +* Tue Sep 05 2006 Than Ngo <than@redhat.com> 3.5.4-2
 +- apply upstream patches
 +    fix #131717, kompare won't parse diffs from git

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.4-4m)
- rebuild against kdelibs-3.5.4-3m

* Fri Aug 18 2006 Nishio Futoshi <futoshi@momonga-linix.org>
- (3.5.4-3m)
- rebuild against kdelibs-3.5.4-2m

* Tue Aug  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-2m)
- remove kbabel.sh, kbabel works fine with qt-3.3.5-24m
- Requires: qt >= 3.3.5-24m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Fri Jun 02 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.5.3-2m)
- add kbabel.sh to exec kbabel with "QT_IM_MODULE=xim" 
- see http://lists.sourceforge.jp/mailman/archives/scim-imengine-dev/2006-April/001069.html

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Wed May  3 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.2-2m)
- rebuild against apr, apr-util, subversion

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Mon Mar 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.5.1-2m)
- not include kdepalette/KDE_Gimp since this is really obsolete (KDE-1.x related) and has never been updated for 7(!) years. (see http://webcvs.kde.org/kdesdk/kdepalettes/KDE_Gimp)
- we can now remove annoying "Requires: gimp"

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-5m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.0-4m)
- rebuild against httpd-2.0.55-3m

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.0-3m)
- rebuild against db4.3

* Wed Jan  4 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (3.5.0-2m)
- rebuild against neon-0.25.4-1m

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Sun Nov 20 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.5.0-0.1.2m)
- enable %%{_datadir}/apps/kmtrace on x86_64

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1

* Wed Oct 19 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.3-2m)
- enable ia64.

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- remove kdesdk-3.4.2-uic.patch

* Fri Sep 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-3m)
- import kdesdk-3.4.2-uic.patch from Fedora Core devel
 +* Wed Sep 21 2005 Than Ngo <than@redhat.com> 2:3.4.2-2
 +- fix uic build problem

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch
- add %%doc

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-5m)
- modify %%files section

* Thu Apr  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-4m)
- revise %%install section to avoid conflicting with kdelibs

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-3m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.
- kmtrace should not be compiled on x86_64 arch.

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- rebuild against subversion-1.1.3-4m due to svn-config bug.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- add kdesdk-3.4.0-kioslave-svn-Makefile.patch
- remove kdesdk-3.3.2-libdir.patch
- BuildPreReq: db4-devel, subversion-devel

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-3m)
- kmtrace build fix for x86_64.

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Tue Dec  7 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.3.1-3m)
  without -fomit-frame-pointer

* Wed Oct 20 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (3.3.1-2m)
- modified %%files

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.3-2m)
- rebuild against db4.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files (many new files)

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Wed Dec 31 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Fri Oct 3 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- not use %%makeinstall

* Fri Sep 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- remove --disable-warnings from configure

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
   changes are:
     kbabel: Splash screen can be clicked and does not cover error messages anymore.

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- add --disable-warnings to configure
- remove %%{_prefix}/lib/*.a, %{_prefix}/share/apps/kmtrace, %{_prefix}/share/apps/kmtrace/* from %%files devel
    not compiled with glibc 2.3.x or newer

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to kde-3.1.1
    Cervisia: 
      Fixed line break in protocol view
      Fixed timestamp for files that are not in cvs (#55053)
      Fixed handling of Cervisia's options like 'Update Recursively' when run as embedded part in konqueror (#55665)
 
* Wed Feb  5 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.0.0-4k)

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-4k)
- just rebuild for .la fix

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Wed Feb 28 2001 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
